Name:           cboard
Version:        0.7.5
Release:        %mkrel 4
Summary:        Console frontend of gnuchess
License:        GPLv2
Group:          Games/Boards
URL:            http://benkibbey.wordpress.com/cboard/
Source0:        https://downloads.sourceforge.net/c-board/%{name}-%{version}.tar.bz2
Source1:        https://downloads.sourceforge.net/c-board/%{name}-%{version}.tar.bz2.sig
Patch0:         cboard-0.7.5-git-curses-format.patch

BuildRequires:  gettext-devel
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  pkgconfig(ncursesw)

Requires:       gnuchess

%description
CBoard is a console frontend to GNU Chess, using the ncurses library for
the interface. It can edit PGN tags, annotate moves with NAG, and more.


%prep
%autosetup -p1

%build
CFLAGS="%{optflags} -fcommon"
autoreconf -vfi

%configure \
    --bindir=%{_gamesbindir} \
    --datadir=%{_gamesdatadir}
%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%{_gamesbindir}/*
%{_gamesdatadir}/%{name}
%{_mandir}/man?/*


%changelog
* Fri Mar 18 2022 danf <danf> 0.7.5-4.mga9
+ Revision: 1797642
- Fix compile "no format" error on gcc 12
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Thu Jun 11 2020 joequant <joequant> 0.7.5-3.mga8
+ Revision: 1592242
- fix for gcc10

* Fri Feb 14 2020 umeabot <umeabot> 0.7.5-2.mga8
+ Revision: 1521886
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Jan 04 2019 daviddavid <daviddavid> 0.7.5-1.mga7
+ Revision: 1349027
- new version: 0.7.5

* Sat Sep 22 2018 umeabot <umeabot> 0.6-8.mga7
+ Revision: 1295999
- Mageia 7 Mass Rebuild

* Tue Jun 05 2018 wally <wally> 0.6-7.mga7
+ Revision: 1234699
- fix build on aarch64

* Tue Feb 02 2016 umeabot <umeabot> 0.6-6.mga6
+ Revision: 932422
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.6-5.mga5
+ Revision: 743758
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6-4.mga5
+ Revision: 678324
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.6-3.mga4
+ Revision: 503305
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.6-2.mga3
+ Revision: 347437
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 10 2012 kamil <kamil> 0.6-1.mga2
+ Revision: 194369
- new version
- clean spec

* Sun May 08 2011 nanardon <nanardon> 0.5-2.mga1
+ Revision: 96146
- imported package cboard

